API REFERENCEv1

List All Campaigns

GEThttps://api2.protexting.com/v1/mms-to-screen/index

Pass your server-side token as access_token. Replace sample values with your own. Authentication & setup →

Endpoint
https://api2.protexting.com/v1/mms-to-screen/index?access_token=<your_access_token>

Response parameters:

ParameterDescription
IdCampaign Id, INTEGER
TitleCampaign Name, STRING
KeywordsKeywords Names, STRING
StartDateCampaign Start Date, STRING
EndDateCampaign End Date, STRING
StatusCampaign's status, STRING

Example Request:

Request example
# Set PROTEXTING_ACCESS_TOKEN in your environmentcurl --request GET \  "https://api2.protexting.com/v1/mms-to-screen/index?access_token=${PROTEXTING_ACCESS_TOKEN:?Set your API token}" \  --header 'Accept: application/json'
Server-side exampleJSON · HTTPS

Example Response Headers:

Response headers example
Status Code: 200 OKCache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0Pragma: no-cacheX-Rate-Limit-Limit: 60X-Rate-Limit-Remaining: 59X-Rate-Limit-Reset: 0X-Pagination-Total-Count: 10X-Pagination-Page-Count: 1X-Pagination-Current-Page: 1X-Pagination-Per-Page: 100Link: <https://api2.protexting.com/v1/mms-to-screen/index?access_token=your_access_token>; rel=selfVary: Accept-Encoding,User-AgentContent-Length: 453Keep-Alive: timeout=15, max=70Connection: Keep-AliveContent-Type: application/json; charset=UTF-8

Example Response Body:

JSON response example
[
    {
    	"Id": 100,
        "Title": "My Campaign",
        "Keywords": ["MyKeyWord"],
        "StartDate": "2016-01-01 01:00:00",
        "EndDate": "2017-01-01 01:00:00",
        "Status": "Active",
    },
    {
    	"Id": 101,
        "Title": "My Campaign 2",
        "Keywords": ["MyKeyWord2"],
        "StartDate": "2016-01-01 01:00:00",
        "EndDate": "2017-01-01 01:00:00",
        "Status": "Inactive",
    }
]
XML response example
<response>
    <item>
    	<Id>100</Id>
        <Title>My Campaign</Title>        <Keywords>           <item>MyKeyword</item>        </Keywords>        <StartDate>2016-01-01 01:00:00</StartDate>        <EndDate>2017-01-01 01:00:00</EndDate>        <Status>Active</Status>
    </item>    <item>        <Id>101</Id>        <Title>My Campaign</Title>        <Keywords>           <item>MyKeyword2</item>        </Keywords>        <StartDate>2016-01-01 01:00:00</StartDate>        <EndDate>2017-01-01 01:00:00</EndDate>        <Status>Active</Status>    </item>
</response>

HTTP Status Codes:

The standard HTTP Status Codes are used. More information is available here: http://www.iana.org/assignments/http-status-codes/http-status-codes.xhtml

Error Codes:

Error Codes and Examples here »

Reference from the ProTexting documentation catalog. Code examples are illustrative; this page does not execute API requests.